Operations JSON format that contains at least one of the add, remove, or replace operations. For examples and more information on the SCIM operations format, see the SCIM specification.path selectors that include filters are not supported. For example, a path selector defined as "path": "emails[type eq \"work\"]" will not work.active: false will suspend a user and obfuscate the user handle and user email. Since the implementation is a generic SCIM implementation and does not differentiate yet between different IdP providers, for Okta, the user GDPR data will not be purged and the credentials will not be removed.{
"Operations":[{
"op":"replace",
"value":{
"active":false
}
}]
}curl --location --request PATCH 'https://service1.exmaple.com/scim/v2/enterprises//Users/' \
--header 'Content-Type: application/json' \
--data-raw '{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:PatchOp"
],
"Operations": [
{
"op": "replace",
"path": "emails[type eq '\''work'\''].value",
"value": "updatedEmail@microsoft.com"
},
{
"op": "replace",
"path": "name.familyName",
"value": "updatedFamilyName"
}
]
}'{}